#!/bin/bash
## Το NoTails.. Tails Μενού στα Ελληνικά είναι ένα αρθρωτό (modular) Zenity
## σενάριο (script) ανοιχτού κώδικα (open source) για το Tails OS Live USB.
##
## Copyright (C) 2025  Rebelstreamers, version 1.0 από το gamelink.gr
##
## Το πρόγραμμα αυτό μεταφέρεται σε εσάς "AS IS" και χωρίς καμία υποχρέωση από 
## τον δημιουργό του και καλύπτεται απο την AGPLv3 GNU άδεια έκδοσης.

# Αρχικοποίηση του NoTails..Tails script.στα Ελληνικά.
folder_name="NoTails..Tails-Files"
title7t="7-t.Tcpdump Live Stream των Συνδεσεών σας"
echo -e '\033]2;'$title7t'\007'

# Με αυτή την εντολή βλέπουμε ζωντανά τα πακέτα και τις συνδέσεις μας όπως ακριβώς
# το κάνει και το wireshark μόνο που είναι σε τερματικό που διαχειρίζεται με 
# διαφορετικές εντολές.

# Χρώματα για τις οθόνες των τερματικών, 
# Με true έχετε τα χρώματα που έχω βάλει εγώ, με ble τα κάνετε όλα μπλε, με gre 
# όλα πράσινα, με yel όλα κίτρινα, με red όλα κόκκινα και με οτιδήποτε εκτός από 
# αυτές τις 5 ονομασίες δεν θα εμφανίζονται καθόλου χρώματα!
# Σημείωση: οι μεταβλητές του κάθε script ορίζουν τα χρώματα στο script του & μόνο
use_color="true"
NC='\033[0m'

# Βάλτε το δικό σας χρώμα αν θέλετε σαν ένα νέο elif αλλά αλλάξτε και την use_color
if [[ "$use_color" == "true" ]]; then 
    RED='\033[1;31m'; GRE='\033[1;32m'; YEL='\033[1;33m'; BLE='\033[1;36m'
elif [[ "$use_color" == "ble" ]]; then 
    RED='\033[1;36m'; GRE='\033[1;36m'; YEL='\033[1;36m'; BLE='\033[1;36m'
elif [[ "$use_color" == "gre" ]]; then
    RED='\033[1;32m'; GRE='\033[1;32m'; YEL='\033[1;32m'; BLE='\033[1;32m'
elif [[ "$use_color" == "yel" ]]; then
    RED='\033[1;33m'; GRE='\033[1;33m'; YEL='\033[1;33m'; BLE='\033[1;33m'
elif [[ "$use_color" == "red" ]]; then
    RED='\033[1;31m'; GRE='\033[1;31m'; YEL='\033[1;31m'; BLE='\033[1;31m'
else
    #χωρίς χρώματα καθόλου
    unset -v RED; unset -v GRE; unset -v YEL; unset -v BLE; unset -v NC
fi

# Τα χρώματα μέσα στο tcpdump είναι τα ίδια που είναι μέσα στο tcpdump.awk αρχείο
# και όχι τα ανωτέρω και αν θέλετε να τα αλλάξετε αλλάξτε σε εκείνο το αρχείο
# η πηγή του αρχείου είναι 
# https://gist.github.com/elig0n/b2a810655c68ee6731df296bec0f32de
# και δημόσια ευχαριστώ τον δημιουργό της https://github.com/elig0n
# για την υλοποίηση των χρωμάτων, εγω απλά τα ενσωμάτωσα αλλαζοντάς τα σε αυτά
# που προτιμώ και χρησιμοποιώντας ένα περισσότερο ουδέτερο όνομα.


# Οι κοινές συναρτήσεις για όλα τα σενάρια είναι στο NT_Functions.sh
source "$HOME/Persistent/$folder_name/NT_Functions.sh"


# Έλεγχος για ύπαρξη του zenity. Χωρίς zenity που χρησιμοποεί το Tails OS δεν 
# έχει καμιά απολύτως χρησιμότητα το σενάριο αυτό. 
check_zenity_exists

# πιστοποίησε οτι ειναι Tails OS ή Debian έκδοση Linux
detect_Tails_OS_Linux_Desktop


# To login μας είτε ως μόνο του είτε από το κύριο σενάριο
if [ "$1" == "" ]; then
    echo -e "\r\n Θα χρειαστεί να γράψετε μια φορά το$BLE admin password$NC ως$GRE Sudo Pass$NC \n"
    sudo_passs
else
    adminz="$1"
    read -s -p " To script χρησιμοποιεί το admin password που έχετε ήδη βάλει " \
    adminpassword <<< $adminz;  
fi



if [ "$linux_type" == "Tails OS" ]; then 
    sudo -S <<< "$adminpassword"  tcpdump -p -v -i eth0 | awk -f "/home/amnesia/Persistent/NoTails..Tails-Files/tcpdump.helpfile"
    echo -ne "\e[0K\r"
else 
    main_nic="$(ip route | grep default | awk '{print $5}')"
    # sudo -S <<< "$adminpassword"  tcpdump -p -v -i "$main_nic"
    sudo -S <<< "$adminpassword"  tcpdump -p -v -i "$main_nic" | awk -f "/home/${USER}/Persistent/NoTails..Tails-Files/tcpdump.helpfile"
    echo -ne "\e[0K\r"

fi



